Subject: [os2genau_digest] No. 1884
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 17 Nov 2009 00:00:19 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 16 November 2009
 Number  1884
**************************************************

Subjects for today
 
1   File and print sharing : Peter Moylan <peter at pmoylan dot org>
2  Re:  File and print sharing : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Mon, 16 Nov 2009 14:19:10 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   File and print sharing

I've never gotten around to setting up a proper network inside my home, 
probably because of some initial bad experiences. To begin with I had 
trouble getting any sort of networking going when I was trying to 
interconnect with Unix and Windows hosts. Later, I was remotivated 
because I wanted to use printers that worked only with Windows and 
didn't have OS/2 drivers. It took a while to realise that this wouldn't 
work. These days I mostly print documents by e-mailing them to a Windows 
machine.

Anyway, I figure it's about time I set things up properly, so I'm asking 
for suggestions.

My home network consists of
 - a desktop machine running eCS; the peripherals include an ancient HP 
printer.
 - a former desktop machine, now stripped of its keyboard and monitor, 
acting as the server
 - another (smaller and older) eCS machine that doesn't get much use 
because I find that I don't need it
 - a laptop running Windows Vista. This is the only one that can use my 
newer Brother printer/scanner.

These all talk to the router over wireless using tcp/ip, except for the 
server which has a direct ethernet connection to the router. When I want 
to exchange files, I use FTP. For more advanced fiddling with the server 
I use VNC.

My main desktop machine has the hard disk partitioned into two 
partitions, one for OS and the other for everything else. The laptop has 
only one partition - stupid decision, but then I wasn't the one to 
install Windows on it. The server machine, dating from the days before 
JFS, has 8 partitions. (I should probably rearrange that, but it's a 
tedious job.)

That's the background. Now the main question: what's the best way to do 
file (and possibly print) sharing on a system like this? Pure Netbios, 
or Netbios over tcp/ip? Or skip both of those, and go straight to Samba?

Another possibility is just to install Netdrive. Does anyone have enough 
experience with that to offer an opinion?

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Mon, 16 Nov 2009 21:26:34 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  File and print sharing

On Mon, 16 Nov 2009 14:19:10 +1100 Peter Moylan wrote:
>
>
>That's the background. Now the main question: what's the best way to do 
>file (and possibly print) sharing on a system like this? Pure Netbios, 
>or Netbios over tcp/ip? Or skip both of those, and go straight to Samba?

Hi Peter, 

I am going to outflank the main question to answer the printing one.

I have turned the Firefox "bug" of printing to pdf into a feature: I
configured a print object as PDF. 

I set it up with the best colour driver available in eCS, and use 
	Ghostscript/GSView 
	print to file in the printer object and 
	Redmon 
to put out a *.ps file; I then use GSView to Convert that to a PDF.  I
suppose I could connect them all together but I use GSView anyway so I
haven't bothered.

The Converted output is very compact, so I can then print it anywhere I
like including on a Win machine with either Adobe (if colour is important)
or GSView for Win. The output WILL be consistent across platforms. 

Good luck with the rest.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG